<button class="side-bar__button" (click)="toggleCollapsed()">
  <i class="fa-solid fa-bars"></i>
</button>
<section class="side-bar" [ngClass]="{ 'side-bar--show': !collapsed }">
  <div class="side-bar__title">
    <i class="fa-brands fa-spotify side-bar__logo"></i>
    <h1>My Music App</h1>

    <button (click)="toggleCollapsed()" class="side-bar__button">
      <i class="fa-solid fa-xmark"></i>
    </button>
  </div>
  <nav>
    <ul class="nav-bar">
      <li
        *ngFor="let link of linksSidebar"
        [routerLink]="link.router"
        [routerLinkActiveOptions]="{ exact: true }"
        [routerLinkActive]="['nav-bar__item--active']"
        class="nav-bar__item"
      >
        <i [ngClass]="link.icon" class="nav-bar__icon"></i
        ><span>{{ link.name }}</span>
      </li>
    </ul>
  </nav>
  <button class="log-out" (click)="logOut()">Cerrar Sesión</button>
</section>

<a [routerLink]="'/Inicio'">Inicio</a>
